MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021892Community[OCCT] OCCT:Modeling Algorithmspublic2010-07-10 12:322011-11-24 11:48
Reporterabv 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.4.0 
Summary0021892: Corrections proposed by Dr. Paulos J. Nyirenda
DescriptionSome of corrections proposed by Paulos J. Nyirenda: refer to mail from Jul 4,
2010, items 1, 8, and 9 in the document "Corrections on OpenCascade v63.pdf"
Additional information
and documentation updates
Documentation remark, added by ABV 2010-08-03 14:33:34:

Improvements:
A few corrections proposed by Dr. Paulos J. Nyirenda have been implemented:
- Use of uninitialized local variables in Approx_ComputeLine::ComputeCurve() is
fixed
- Type of field "status" of the class IntRes2d_Domain converted from
Standard_Boolean to Standard_Integer
- Methods Geom2dAdaptor::MakeCurve() and GeomAdaptor::MakeCurve() are protected
against null input curve
TagsNo tags attached.
Test case number
Attached Filesgz file icon paulos-abv-v1.tar.gz (9,846 bytes) 2010-07-10 12:32

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-07-19 21:24 bugmaster Status closed => assigned
2010-07-19 21:24 bugmaster Resolution suspended => @0@
2010-07-19 21:25 bugmaster Assigned To bugmaster => abv
2010-07-19 21:25 bugmaster Status assigned => resolved
2010-07-19 21:25 bugmaster Status resolved => tested
2010-07-19 21:25 bugmaster Status tested => verified
2011-04-06 18:53 bugmaster Status verified => closed
2011-04-06 18:53 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 11:48 szy Description Updated View Revisions
2011-11-24 11:48 szy Additional Information Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker